<ion-header>
  <ion-navbar color="primary" text-center>
    <ion-title>Trivia</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-grid *ngIf="currentQuestion">
    <ion-row>
      <ion-col>
        <p color="primary">
          <b>Category: </b>
          <span ion-text color="primary">{{currentQuestion.category}}</span>
        </p>
        <p>
          <b>Difficulty: </b>
          <span ion-text color="primary">{{currentQuestion.difficulty}}</span>
        </p>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col col-12 text-center>
        <h2 class="question">{{currentQuestion.question}}</h2>
      </ion-col>

      <ion-col col-12 text-center>
        <ion-list>
          <ion-item color="list-item" class="answers" *ngFor="let answer of currentQuestion.answers" (click)="handleAnswer(answer)">
              {{answer}}
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>

    <!-- rewarded video -->
    <ion-row *ngIf="isRewardedVideoReady && !isAnswerRevealed">
      <ion-col text-center>
        <button ion-button color="secondary" (click)="revealAnswer()" icon-start>
          <ion-icon name="star"></ion-icon>
          Watch ad to reveal answer
        </button>
      </ion-col>
    </ion-row>

    <!-- revealed answer -->
    <ion-row *ngIf="isAnswerRevealed">
      <ion-col text-center>
        <p>The correct answer is: <b>{{currentQuestion.correct_answer}}</b></p>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
